package com.ruoyi.kyBg.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 科研报工对象 ky_bg_info
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public class KyBgInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long key;

    /** $column.columnComment */
    private Long id;

    /** 报工任务号 */
    @Excel(name = "报工任务号")
    private String taskno;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskname;

    /** 工作内容 */
    @Excel(name = "工作内容")
    private String workcontent;

    /** 当日用时（h） */
    @Excel(name = "当日用时", readConverterExp = "h=")
    private BigDecimal workhour;

    /** 型号 */
    @Excel(name = "型号")
    private String xhname;

    /** 研制数量 */
    @Excel(name = "研制数量")
    private Long yzsl;

    /** 研制阶段 */
    @Excel(name = "研制阶段")
    private String yzjdname;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String tcdw;

    /** 用户简称 */
    @Excel(name = "用户简称")
    private String brief;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 计划开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date jhkssj;

    /** 计划完成时间（进度要求） */
    @Excel(name = "计划完成时间", readConverterExp = "进=度要求")
    private Date jhwcsj;

    /** 工作日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "工作日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date worktime;

    @Excel(name = "填写时间")
    private Date Createtime;

    /** 填报人 */
    @Excel(name = "填报人")
    private String username;

    /** 填报部门 */
    @Excel(name = "填报部门")
    private String userdept;

    /** 审核人 */
    @Excel(name = "审核人")
    private String shr;

    /** 审批人 */
    @Excel(name = "审批人")
    private String spr;

    /** 备注 */
    @Excel(name = "备注")
    private String memo;

    public Date getCreatetime() {
        return Createtime;
    }

    public void setCreatetime(Date createtime) {
        Createtime = createtime;
    }

    public void setKey(Long key)
    {
        this.key = key;
    }

    public Long getKey() 
    {
        return key;
    }
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskno(String taskno) 
    {
        this.taskno = taskno;
    }

    public String getTaskno() 
    {
        return taskno;
    }
    public void setTaskname(String taskname) 
    {
        this.taskname = taskname;
    }

    public String getTaskname() 
    {
        return taskname;
    }
    public void setWorkcontent(String workcontent) 
    {
        this.workcontent = workcontent;
    }

    public String getWorkcontent() 
    {
        return workcontent;
    }
    public void setWorkhour(BigDecimal workhour) 
    {
        this.workhour = workhour;
    }

    public BigDecimal getWorkhour() 
    {
        return workhour;
    }
    public void setXhname(String xhname) 
    {
        this.xhname = xhname;
    }

    public String getXhname() 
    {
        return xhname;
    }
    public void setYzsl(Long yzsl) 
    {
        this.yzsl = yzsl;
    }

    public Long getYzsl() 
    {
        return yzsl;
    }
    public void setYzjdname(String yzjdname) 
    {
        this.yzjdname = yzjdname;
    }

    public String getYzjdname() 
    {
        return yzjdname;
    }
    public void setTcdw(String tcdw) 
    {
        this.tcdw = tcdw;
    }

    public String getTcdw() 
    {
        return tcdw;
    }
    public void setBrief(String brief) 
    {
        this.brief = brief;
    }

    public String getBrief() 
    {
        return brief;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setJhkssj(Date jhkssj) 
    {
        this.jhkssj = jhkssj;
    }

    public Date getJhkssj() 
    {
        return jhkssj;
    }
    public void setJhwcsj(Date jhwcsj) 
    {
        this.jhwcsj = jhwcsj;
    }

    public Date getJhwcsj() 
    {
        return jhwcsj;
    }
    public void setWorktime(Date worktime) 
    {
        this.worktime = worktime;
    }

    public Date getWorktime() 
    {
        return worktime;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setUserdept(String userdept) 
    {
        this.userdept = userdept;
    }

    public String getUserdept() 
    {
        return userdept;
    }
    public void setShr(String shr) 
    {
        this.shr = shr;
    }

    public String getShr() 
    {
        return shr;
    }
    public void setSpr(String spr) 
    {
        this.spr = spr;
    }

    public String getSpr() 
    {
        return spr;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("key", getKey())
            .append("id", getId())
            .append("taskno", getTaskno())
            .append("taskname", getTaskname())
            .append("workcontent", getWorkcontent())
            .append("workhour", getWorkhour())
            .append("xhname", getXhname())
            .append("yzsl", getYzsl())
            .append("yzjdname", getYzjdname())
            .append("tcdw", getTcdw())
            .append("brief", getBrief())
            .append("status", getStatus())
            .append("jhkssj", getJhkssj())
            .append("jhwcsj", getJhwcsj())
            .append("worktime", getWorktime())
            .append("createtime", getCreatetime())
            .append("username", getUsername())
            .append("userdept", getUserdept())
            .append("shr", getShr())
            .append("spr", getSpr())
            .append("memo", getMemo())
            .toString();
    }
}
